Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfPublicKeyRecipient

    java.lang.Object
      com.lowagie.text.pdf.PdfPublicKeyRecipient

    public class PdfPublicKeyRecipient

extends java.lang.Object

Field Summary
`private java.security.cert.Certificate` | `certificate`
`protected byte[]` | `cms`
`private int` | `permission`

Constructor Summary
`PdfPublicKeyRecipient(java.security.cert.Certificate certificate, int permission)`

Method Summary
`java.security.cert.Certificate` | `getCertificate()`
`protected byte[]` | `getCms()`
`int` | `getPermission()`
`protected void` | `setCms(byte[] cms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### certificate

    private java.security.cert.Certificate certificate

### permission

    private int permission

### cms

    protected byte[] cms

Constructor Detail

### PdfPublicKeyRecipient

    public PdfPublicKeyRecipient(java.security.cert.Certificate certificate,
                                 int permission)

Method Detail

### getCertificate

    public java.security.cert.Certificate getCertificate()

### getPermission

    public int getPermission()

### setCms

    protected void setCms(byte[] cms)

### getCms

    protected byte[] getCms()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD